Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
iseq_inline_storage_entry Union Reference

`#include <vm_core.h>`

## Data Fields
struct {
struct rb_thread_struct * running_thread
VALUE value
} | once
struct iseq_inline_cache_entry | cache
struct iseq_inline_iv_cache_entry | iv_cache
struct {
struct rb_thread_struct * running_thread
VALUE value
} | once

## Detailed Description

Definition at line 231 of file vm_core.h.

## Field Documentation

## ◆ cache

struct iseq_inline_cache_entry iseq_inline_storage_entry::cache

Definition at line 236 of file vm_core.h.

## ◆ iv_cache

struct iseq_inline_iv_cache_entry iseq_inline_storage_entry::iv_cache

Definition at line 237 of file vm_core.h.

## ◆ once [1/2]

struct { ... } iseq_inline_storage_entry::once

## ◆ once [2/2]

struct { ... } iseq_inline_storage_entry::once

## ◆ running_thread

struct rb_thread_struct* iseq_inline_storage_entry::running_thread

Definition at line 233 of file vm_core.h.

## ◆ value

VALUE iseq_inline_storage_entry::value

Definition at line 234 of file vm_core.h.

The documentation for this union was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h